Relograde API Docs
API SpecificationOrder

Find order

Retrieve an order using the trx returned by the Create order endpoint. Orders that are deleted cannot be retrieved.

GET
/api/1.03/order/{trx}

Notes

  • Currency codes follow ISO 4217 standard
  • Codes shown in example have been altered and made invalid
  • Price information may have been altered in the documentation

Authorization

bearerAuth
AuthorizationBearer <token>

Add your API key here

In: header

Path Parameters

trx*string

Order reference

Response Body

application/json

text/plain

curl -X GET "https://connect.relograde.com/api/1.03/order/RELO0TFQK8FXQXSPURM"
{  "trx": "RELO0TFQK8FXQXSPURS",  "priceCurrency": "EUR",  "priceAmount": 58.14,  "priceVat": 0.23,  "priceInclVat": 58.37,  "dateCreated": "2025-01-24T11:30:20Z",  "paymentStatus": "paid",  "type": "api",  "reference": "test",  "state": "sandbox",  "orderStatus": "created",  "isBalancePayment": true,  "items": [    {      "product": {        "slug": "amazon-gb-gbp-10",        "name": "Amazon.co.uk 10 GBP",        "brand": "amazon",        "productType": "topup",        "region": "ww",        "faceValueAmount": 10,        "faceValueCurrency": "gbp",        "faceValueMin": 5,        "faceValueMax": 500,        "mainCategory": "giftcard",        "redeemType": "service",        "isStocked": true      },      "amount": 1,      "priceCurrency": "eur",      "singlePriceAmount": 5.13,      "totalPriceAmount": 5.13,      "totalPriceVat": 0.03,      "totalPriceInclVat": 5.16,      "paymentCurrency": "eur",      "singlePriceAmountInPaymentCurrency": 5.13,      "totalPriceAmountInPaymentCurrency": 5.13,      "totalPriceVatInPaymentCurrency": 0.03,      "totalPriceInclVatInPaymentCurrency": 5.16,      "orderLines": [        {          "tag": "TAG-aa440cf5-56c3-44b8-a3b6-10338e527687",          "dateCreated": "2025-01-24T11:30:20Z",          "brandSlug": "rewarble",          "productSlug": "rewarble-ww-eur-5",          "productRegion": "ww",          "productFacevalueAmount": 5,          "productFacevalueCurrency": "eur",          "priceAmount": 5.13,          "priceCurrency": "eur",          "priceVatAmount": 0.03,          "priceInclVat": 5.16,          "paymentCurrency": "eur",          "priceAmountInPaymentCurrency": 5.13,          "priceVatAmountInPaymentCurrency": 0.03,          "priceInclVatInPaymentCurrency": 5.16,          "status": "string",          "voucherCode": "string",          "voucherSerial": "string",          "voucherUrl": "string",          "voucherDateExpired": "2019-08-24T14:15:22Z",          "token": "6932374Mzsb28kxEzIKCxhgnoHrlUfYEBQt",          "redemptionLink": "https://reward.relograde.com/6932374Mzsb28kxEzIKCxhgnoHrlUfYEBQt"        }      ],      "linesCompleted": 1,      "productSlug": "rewarble-ww-eur-5",      "faceValueAmount": 5,      "faceValueCurrency": "eur"    }  ]}

Order not found

"Order with that trx was not found"